<?php
/**
 * WEN Corporate Theme Customizer
 *
 * @package WEN Corporate
 */


/**
 * Script needed in customize.php page
 */
function wen_corporate_customizer_script( $hook ){

  $screen = get_current_screen();

  if ( 'customize' != $screen->id ) {
    return;
  }

  wp_enqueue_script(
        'wen_corporate-customizer-script',      //Give the script an ID
        get_template_directory_uri().'/js/wen-customizer.js',//Point to file
        array( 'jquery' ),  //Define dependencies
        '',           //Define a version (optional)
        true            //Put script in footer?
    );

}
add_action( 'admin_enqueue_scripts', 'wen_corporate_customizer_script' );


/**
 * Binds JS handlers to make Theme Customizer preview reload changes asynchronously.
 */
function wen_corporate_customize_preview_js() {
  wp_enqueue_script( 'wen_corporate_customizer', get_template_directory_uri() . '/js/customizer.js', array( 'customize-preview' ), '20130508', true );
}
add_action( 'customize_preview_init', 'wen_corporate_customize_preview_js' );

$our_settings = array(

  'panels' => array(
    'wen_corporate_theme_options_panel' => array(
      'title'          => __( 'Theme Options', 'wen-corporate' ),
      'sections'       => array(
        'wc_general_section' => array(
          'title'       => __( 'General', 'wen-corporate' ),
          'fields'      => array(
            'site_logo' => array(
              'title'             => __( 'Logo', 'wen-corporate' ),
              'type'              => 'image',
              'sanitize_callback' => 'esc_url_raw',
            ),
            'site_favicon' => array(
              'title'             => __( 'Favicon', 'wen-corporate' ),
              'type'              => 'image',
              'sanitize_callback' => 'esc_url_raw',
            ),
            'site_web_clip_icon' => array(
              'title'             => __( 'Web Clip Icon', 'wen-corporate' ),
              'type'              => 'image',
              'sanitize_callback' => 'esc_url_raw',
            ),
            'color_scheme' => array(
              'title'   => __( 'Color Scheme', 'wen-corporate' ),
              'type'    => 'select',
              'default' => 'blue',
              'choices' => array(
                'blue'      => __( 'Blue', 'wen-corporate' ),
                'chocolate' => __( 'Chocolate', 'wen-corporate' ),
              ),
            ),
            'global_layout' => array(
              'title'   => __( 'Global Layout', 'wen-corporate' ),
              'type'    => 'select',
              'default' => 'right-sidebar',
              'choices' => array(
                'left-sidebar'  => __( 'Left Sidebar', 'wen-corporate' ),
                'right-sidebar' => __( 'Right Sidebar', 'wen-corporate' ),
                'no-sidebar'    => __( 'No Sidebar', 'wen-corporate' ),
              ),
            ),
            'feed_redirect_url' => array(
              'title'             => __( 'Feed Redirect URL', 'wen-corporate' ),
              'type'              => 'text',
              'sanitize_callback' => 'esc_url_raw',
            ),
            'enable_go_to_top' => array(
              'title'    => __( 'Enable Go To Top', 'wen-corporate' ),
              'type'     => 'checkbox',
            ),

          ),
        ),
        'wc_header_section' => array(
          'title'       => __( 'Header', 'wen-corporate' ),
          'fields'      => array(
            'header_layout' => array(
              'title'   => __( 'Header Layout', 'wen-corporate' ),
              'type'    => 'radio-image',
              'default' => 'layout-1',
              'choices' => array(
                'layout-1'=>get_template_directory_uri().'/images/header-layout-1.png',
                'layout-2'=>get_template_directory_uri().'/images/header-layout-2.png'
              ),
            ),
            'show_tagline' => array(
              'title'   => __( 'Show Tagline', 'wen-corporate' ),
              'type'    => 'checkbox',
              'default' => 1,
            ),
            'show_search_in_header' => array(
              'title'    => __( 'Show Search Box', 'wen-corporate' ),
              'type'     => 'checkbox',
              'default'  => '1',
            ),
            'show_social_in_header' => array(
              'title'    => __( 'Show Social Icons', 'wen-corporate' ),
              'type'     => 'checkbox',
            ),
          ),
        ),
        'wc_footer_section' => array(
          'title'  => __( 'Footer', 'wen-corporate' ),
          'fields' => array(
            'footer_widgets' => array(
              'title'   => __( 'Footer Widgets', 'wen-corporate' ),
              'type'    => 'select',
              'default' => 0,
              'choices' => array(
                '0' => __( 'No Widget', 'wen-corporate' ),
                '1' => __( '1', 'wen-corporate' ).__( ' Widget', 'wen-corporate' ),
                '2' => __( '2', 'wen-corporate' ).__( ' Widgets', 'wen-corporate' ),
                '3' => __( '3', 'wen-corporate' ).__( ' Widgets', 'wen-corporate' ),
                '4' => __( '4', 'wen-corporate' ).__( ' Widgets', 'wen-corporate' ),
                '6' => __( '6', 'wen-corporate' ).__( ' Widgets', 'wen-corporate' ),
              ),
            ),
            'copyright_text' => array(
              'title'     => __( 'Copyright Text', 'wen-corporate' ),
              'type'      => 'text',
              'default'   => __( 'Copyright &copy; All Rights Reserved.', 'wen-corporate' ),
            ),
            'enable_powered_by' => array(
              'title'     => __( 'Enable Powered By', 'wen-corporate' ),
              'type'      => 'checkbox',
            ),


          ),
        ),
        'wc_blog_section' => array(
          'title'  => __( 'Blog', 'wen-corporate' ),
          'fields' => array(
            'blog_layout' => array(
              'title'   => __( 'Blog Layout', 'wen-corporate' ),
              'type'    => 'select',
              'default' => 'full-post',
              'choices' => array(
                'full-post'              => __( 'Full Post', 'wen-corporate' ),
                'excerpt'                => __( 'Excerpt', 'wen-corporate' ),
                'excerpt-with-thumbnail' => __( 'Excerpt with Thumbnail', 'wen-corporate' ),
              ),
            ),
            'read_more_text' => array(
              'title'   => __( 'Read more text', 'wen-corporate' ),
              'type'    => 'text',
              'default' => __( 'Read more', 'wen-corporate' ),
              'sanitize_callback' => 'wen_corporate_validate_option_read_more_text',
            ),
            'excerpt_length' => array(
              'title'             => __( 'Excerpt Length', 'wen-corporate' ),
              'type'              => 'text',
              'default'           => 40,
              'sanitize_callback' => 'wen_corporate_validate_option_excerpt_length',
            ),

          ),
        ),
        'wc_slider_section' => array(
          'title'  => __( 'Slider', 'wen-corporate' ),
          'fields' => array(
            'slider_status' => array(
              'title'    => __( 'Slider Status', 'wen-corporate' ),
              'type'     => 'select',
              'default'  => 'disable',
              'priority' => 50,
              'choices'  => array(
                'disable' => __( 'Disable', 'wen-corporate' ),
                'enable'  => __( 'Enable', 'wen-corporate' ),
              ),
            ),
            'slider_display' => array(
              'title'    => __( 'Slider Display', 'wen-corporate' ),
              'type'     => 'select',
              'default'  => 'all-pages',
              'priority' => 60,
              'choices'  => array(
                'all-pages'      => __( 'All Pages', 'wen-corporate' ),
                'home-page-only' => __( 'Home Page Only', 'wen-corporate' ),
              ),
            ),
            'slider_category' => array(
              'title'    => __( 'Slider Category', 'wen-corporate' ),
              'type'     => 'dropdown-taxonomies',
            ),
            'number_of_slides' => array(
              'title'             => __( 'Number of Slides', 'wen-corporate' ),
              'type'              => 'text',
              'default'           => 3,
              'priority'          => 115,
              'sanitize_callback' => 'wen_corporate_validate_option_number_of_slides',
            ),
            'transition_effect' => array(
              'title'    => __( 'Transition Effect', 'wen-corporate' ),
              'type'     => 'select',
              'default'  => 'fade',
              'priority' => 120,
              'choices'  => array(
                'fade'       => __( 'Fade', 'wen-corporate' ),
                'fadeout'    => __( 'Fade Out', 'wen-corporate' ),
                'none'       => __( 'None', 'wen-corporate' ),
                'scrollHorz' => __( 'Scroll Horizontal', 'wen-corporate' ),
              ),
            ),
            'show_caption' => array(
              'title'    => __( 'Show Caption', 'wen-corporate' ),
              'type'     => 'checkbox',
              'priority' => 125,
            ),
            'show_pager' => array(
              'title'    => __( 'Show Pager', 'wen-corporate' ),
              'type'     => 'checkbox',
              'priority' => 130,
            ),
            'auto_play' => array(
              'title'    => __( 'Auto Play', 'wen-corporate' ),
              'type'     => 'checkbox',
              'default'  => '1',
              'priority' => 135,
            ),
            'transition_delay' => array(
              'title'             => __( 'Transition Delay', 'wen-corporate' ),
              'type'              => 'text',
              'default'           => '3000',
              'priority'          => 140,
              'sanitize_callback' => 'wen_corporate_validate_option_transition_delay',
            ),
            'transition_length' => array(
              'title'             => __( 'Transition Length', 'wen-corporate' ),
              'type'              => 'text',
              'default'           => '2000',
              'priority'          => 145,
              'sanitize_callback' => 'wen_corporate_validate_option_transition_length',
            ),


          ),
        ),
        'wc_advanced_section' => array(
          'title'  => __( 'Advanced', 'wen-corporate' ),
          'fields' => array(
            'custom_css' => array(
              'title'                => __( 'Custom CSS', 'wen-corporate' ),
              'type'                 => 'textarea',
              'sanitize_callback'    => 'wp_filter_nohtml_kses',
              'sanitize_js_callback' => 'wp_filter_nohtml_kses',
            ),
          ),
        ),

      ),

    ),
  ),


);

$wen_corporate_customizer = new WEN_Customizer( $our_settings );

// Validation functions
function wen_corporate_validate_option_excerpt_length( $input ){
  $input = esc_attr( $input );
  if ( intval($input) < 1 ) {
    $input = 40;
  }
  return $input;
}

function wen_corporate_validate_option_read_more_text( $input ){
  $input = esc_attr( $input );
  if ( empty( $input ) ) {
    $input = __( 'Read more', 'wen-corporate' );
  }
  return $input;
}
function wen_corporate_validate_option_number_of_slides( $input ){
  $input = esc_attr( $input );
  if ( intval($input) < 1 ) {
    $input = 3;
  }
  return $input;
}
function wen_corporate_validate_option_transition_delay( $input ){
  $input = esc_attr( $input );
  if ( intval($input) < 1 ) {
    $input = 3000;
  }
  return $input;
}
function wen_corporate_validate_option_transition_length( $input ){
  $input = esc_attr( $input );
  if ( intval($input) < 1 ) {
    $input = 2000;
  }
  return $input;
}
